SDL_PixelFormat Struct Reference

`#include <SDL_pixels.h>`

Collaboration diagram for SDL_PixelFormat:
[legend]

## Data Fields

Uint32 | format
SDL_Palette * | palette
Uint8 | BitsPerPixel
Uint8 | BytesPerPixel
Uint8 | padding [2]
Uint32 | Rmask
Uint32 | Gmask
Uint32 | Bmask
Uint32 | Amask
Uint8 | Rloss
Uint8 | Gloss
Uint8 | Bloss
Uint8 | Aloss
Uint8 | Rshift
Uint8 | Gshift
Uint8 | Bshift
Uint8 | Ashift
int | refcount
struct SDL_PixelFormat * | next

## Detailed Description

Note
  Everything in the pixel format structure is read-only.

Definition at line 315 of file SDL_pixels.h.

## Field Documentation

## Aloss

Uint8 SDL_PixelFormat::Aloss

Definition at line 329 of file SDL_pixels.h.

Referenced by Blit4to4MaskAlpha(), RLEAlphaSurface(), SDL_CalculateBlitA(), SDL_GetRGBA(), SDL_InitFormat(), and SDL_MapRGBA().

## Amask

Uint32 SDL_PixelFormat::Amask

Definition at line 325 of file SDL_pixels.h.

Referenced by Blit2to2Key(), Blit4to4MaskAlpha(), BlitNto1Key(), BlitNto1SurfaceAlphaKey(), BlitNtoN(), BlitNtoNKey(), BlitNtoNKeyCopyAlpha(), BlitRGBtoRGBPixelAlpha(), pixels_allocFreeFormat(), RecursivelyCalculateShapeTree(), RLEAlphaSurface(), RLEColorkeySurface(), SDL_BlendFillRect(), SDL_BlendFillRects(), SDL_BlendPoint(), SDL_BlendPoints(), SDL_Blit_Slow(), SDL_CalculateBlendLineFunc(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_CalculateShapeBitmap(), SDL_ConvertColorkeyToAlpha(), SDL_ConvertSurface(), SDL_CreateRGBSurfaceWithFormat(), SDL_CreateTextureFromSurface(), SDL_DrawLine4(), SDL_GetRGBA(), SDL_GL_DeleteContext(), SDL_InitFormat(), SDL_MapRGB(), SDL_MapRGBA(), SDL_RLESurface(), SDL_SaveBMP_RW(), SDLgfx_rotateSurface(), surface_testCompleteSurfaceConversion(), SW_RenderCopyEx(), SW_SetTextureAlphaMod(), and uncopy_opaque_16().

## Ashift

Uint8 SDL_PixelFormat::Ashift

Definition at line 333 of file SDL_pixels.h.

Referenced by Blit4to4MaskAlpha(), BlitNto1SurfaceAlphaKey(), BlitRGBtoRGBPixelAlpha(), RLEAlphaSurface(), SDL_CalculateBlitA(), SDL_GetRGBA(), SDL_InitFormat(), and SDL_MapRGBA().

## BitsPerPixel

Uint8 SDL_PixelFormat::BitsPerPixel

Definition at line 319 of file SDL_pixels.h.

Referenced by LoadSprite(), LoadTexture(), pixels_allocFreeFormat(), RLEAlphaSurface(), SDL_BlendFillRect(), SDL_BlendFillRects(), SDL_BlendPoint(), SDL_BlendPoints(), SDL_CalculateBlit(), SDL_CalculateBlit0(), SDL_CalculateBlit1(), SDL_CalculateBlitN(), SDL_CalculateDrawLineFunc(), SDL_ConvertSurface(), SDL_CreateRGBSurfaceWithFormat(), SDL_DrawPoint(), SDL_DrawPoints(), SDL_FillRect(), SDL_InitFormat(), SDL_MapSurface(), SDL_RLESurface(), SDL_SaveBMP_RW(), SDL_SetPixelFormatPalette(), SDLgfx_rotateSurface(), and SW_RenderCopyEx().

## Bloss

Uint8 SDL_PixelFormat::Bloss

Definition at line 328 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

## Bmask

Uint32 SDL_PixelFormat::Bmask

Definition at line 324 of file SDL_pixels.h.

Referenced by Blit4to4MaskAlpha(), BlitNto1SurfaceAlphaKey(), pixels_allocFreeFormat(), RLEAlphaClipBlit(), RLEAlphaSurface(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_ConvertSurface(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_RLEAlphaBlit(), SDL_SaveBMP_RW(), SDLgfx_rotateSurface(), and SW_RenderCopyEx().

## Bshift

Uint8 SDL_PixelFormat::Bshift

Definition at line 332 of file SDL_pixels.h.

Referenced by BlitNto1SurfaceAlphaKey(), RLEAlphaSurface(), SDL_Blit_Slow(), SDL_CalculateBlitA(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

## BytesPerPixel

Uint8 SDL_PixelFormat::BytesPerPixel

Definition at line 320 of file SDL_pixels.h.

Referenced by Blit1toNAlpha(), Blit1toNAlphaKey(), Blit2101010toN(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1(), BlitNto1Key(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), BlitNto2101010(), BlitNtoN(), BlitNtoNCopyAlpha(), BlitNtoNKey(), BlitNtoNKeyCopyAlpha(), BlitNtoNPixelAlpha(), BlitNtoNSurfaceAlpha(), BlitNtoNSurfaceAlphaKey(), LoadTexture(), Map1toN(), pixels_allocFreeFormat(), RecursivelyCalculateShapeTree(), RLEAlphaClipBlit(), RLEAlphaSurface(), RLEColorkeySurface(), SDL_BlendFillRect_RGB(), SDL_BlendFillRect_RGBA(), SDL_BlendPoint_RGB(), SDL_BlendPoint_RGBA(), SDL_Blit_Slow(), SDL_BlitCopy(), SDL_CalculateBlendLineFunc(), SDL_CalculateBlit(), SDL_CalculateBlit0(), SDL_CalculateBlit1(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_CalculateDrawLineFunc(), SDL_CalculateShapeBitmap(), SDL_ConvertColorkeyToAlpha(), SDL_ConvertSurface(), SDL_DrawLine1(), SDL_DrawPoint(), SDL_DrawPoints(), SDL_FillRect(), SDL_GL_DeleteContext(), SDL_InitFormat(), SDL_RLEAlphaBlit(), SDL_RLEBlit(), SDL_SaveBMP_RW(), SDL_SoftBlit(), SDL_SoftStretch(), SDLTest_CompareSurfaces(), setpix(), surface_testCompleteSurfaceConversion(), SW_LockTexture(), SW_RenderReadPixels(), and SW_UpdateTexture().

## format

Uint32 SDL_PixelFormat::format

Definition at line 317 of file SDL_pixels.h.

Referenced by main(), pixels_allocFreeFormat(), run_automated_tests(), SDL_AllocFormat(), SDL_CalculateBlit(), SDL_CalculateBlitN(), SDL_CreateColorCursor(), SDL_CreateRGBSurfaceWithFormat(), SDL_CreateTextureFromSurface(), SDL_InitFormat(), SDL_LowerBlitScaled(), SDL_MapSurface(), SDL_SoftStretch(), SDLTest_ScreenShot(), SW_RenderCopyEx(), SW_RenderReadPixels(), and verify_yuv_data().

## Gloss

Uint8 SDL_PixelFormat::Gloss

Definition at line 327 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

## Gmask

Uint32 SDL_PixelFormat::Gmask

Definition at line 323 of file SDL_pixels.h.

Referenced by Blit4to4MaskAlpha(), BlitNto1SurfaceAlphaKey(), pixels_allocFreeFormat(), RLEAlphaClipBlit(), RLEAlphaSurface(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_ConvertSurface(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_RLEAlphaBlit(), SDL_SaveBMP_RW(), SDLgfx_rotateSurface(), and SW_RenderCopyEx().

## Gshift

Uint8 SDL_PixelFormat::Gshift

Definition at line 331 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_Blit_Slow(), SDL_CalculateBlitA(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

## next

struct SDL_PixelFormat* SDL_PixelFormat::next

Definition at line 335 of file SDL_pixels.h.

Referenced by SDL_AllocFormat(), SDL_FreeFormat(), and SDL_InitFormat().

## padding

Uint8 SDL_PixelFormat::padding[2]

Definition at line 321 of file SDL_pixels.h.

## palette

SDL_Palette* SDL_PixelFormat::palette

Definition at line 318 of file SDL_pixels.h.

Referenced by Blit1toNAlpha(), Blit1toNAlphaKey(), BlitBtoNAlpha(), BlitBtoNAlphaKey(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), LoadSprite(), LoadTexture(), Map1toN(), MapNto1(), pixels_allocFreeFormat(), SDL_ConvertSurface(), SDL_FreeFormat(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_LowerBlit(), SDL_MapRGB(), SDL_MapRGBA(), SDL_MapSurface(), SDL_SaveBMP_RW(), SDL_SetColorKey(), SDL_SetPixelFormatPalette(), SDLgfx_rotateSurface(), SDLTest_LoadIcon(), and surface_testCompleteSurfaceConversion().

## refcount

int SDL_PixelFormat::refcount

Definition at line 334 of file SDL_pixels.h.

Referenced by SDL_AllocFormat(), SDL_FreeFormat(), and SDL_InitFormat().

## Rloss

Uint8 SDL_PixelFormat::Rloss

Definition at line 326 of file SDL_pixels.h.

Referenced by RLEAlphaSurface(), SDL_CalculateBlit(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

## Rmask

Uint32 SDL_PixelFormat::Rmask

Definition at line 322 of file SDL_pixels.h.

Referenced by Blit4to4MaskAlpha(), BlitNto1SurfaceAlphaKey(), pixels_allocFreeFormat(), RLEAlphaClipBlit(), RLEAlphaSurface(), SDL_BlendFillRect(), SDL_BlendFillRects(), SDL_BlendPoint(), SDL_BlendPoints(), SDL_CalculateBlendLineFunc(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_ConvertSurface(), SDL_DrawLine2(), SDL_DrawLine4(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_RLEAlphaBlit(), SDL_SaveBMP_RW(), SDLgfx_rotateSurface(), and SW_RenderCopyEx().

## Rshift

Uint8 SDL_PixelFormat::Rshift

Definition at line 330 of file SDL_pixels.h.

Referenced by BlitNto1SurfaceAlphaKey(), RLEAlphaSurface(), SDL_Blit_Slow(), SDL_CalculateBlitA(), SDL_GetRGB(), SDL_GetRGBA(), SDL_InitFormat(), SDL_MapRGB(), and SDL_MapRGBA().

The documentation for this struct was generated from the following file:

- include/SDL_pixels.h